package com.zhiwei.manage.dao;

import java.util.List;

import com.zhiwei.manage.bean.Person;

public interface PersonDao {

	public void insert(Person person);
	
	public boolean update(Person person);
	
	public List<Person> findAll(int pageNo,int pageSize);
	
	public Person findById(String personId);
	
	public Person findByUsername(String username);
	
	public boolean delete(List<String> personId);
	
	public List<Person> findAllByUsername(String username,int pageNo,int pageSize);
	
	public int findAllCount();
	
	public int findUserCount(String username);
}
